Bug 22495 - Restore su-geo field in Elasticsearch mappings
Summary: Restore su-geo field in Elasticsearch mappings
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Elasticsearch (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Ere Maijala
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 19575
Blocks: 18235
  Show dependency treegraph
 
Reported: 2019-03-12 09:13 UTC by Ere Maijala
Modified: 2019-04-01 16:03 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22495: Restore Elasticsearch mapping for su-geo (1.26 KB, patch)
2019-03-12 09:30 UTC, Ere Maijala
Details | Diff | Splinter Review
Bug 22495: Restore Elasticsearch mapping for su-geo (1.33 KB, patch)
2019-03-21 18:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22495: Restore Elasticsearch mapping for su-geo (1.39 KB, patch)
2019-03-23 09:24 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ere Maijala 2019-03-12 09:13:40 UTC
Mapping for su-geo was accidentally dropped in Bug 19575 and needs to be restored.
Comment 1 Ere Maijala 2019-03-12 09:30:23 UTC
Created attachment 86505 [details] [review]
Bug 22495: Restore Elasticsearch mapping for su-geo

Test plan:
1. Reset mappings
2. Run perl misc/search_tools/rebuild_elastic_search.pl -d -b -v
3. Do a search and verify that the Places facet works
Comment 2 Jonathan Druart 2019-03-21 18:36:57 UTC
Created attachment 86860 [details] [review]
Bug 22495: Restore Elasticsearch mapping for su-geo

Test plan:
1. Reset mappings
2. Run perl misc/search_tools/rebuild_elastic_search.pl -d -b -v
3. Do a search and verify that the Places facet works

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Josef Moravec 2019-03-23 09:24:31 UTC
Created attachment 86941 [details] [review]
Bug 22495: Restore Elasticsearch mapping for su-geo

Test plan:
1. Reset mappings
2. Run perl misc/search_tools/rebuild_elastic_search.pl -d -b -v
3. Do a search and verify that the Places facet works

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Nick Clemens 2019-03-28 13:29:06 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-01 10:43:53 UTC
Pushed to 18.11.x for 18.11.05
Comment 6 Lucas Gass 2019-04-01 16:03:14 UTC
not backporting ES bugs/features to 18.05.x